package org.gateway;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

import com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure;
import org.springframework.context.ConfigurableApplicationContext;


@SpringBootApplication(
        exclude={
                DruidDataSourceAutoConfigure.class,
                DataSourceAutoConfiguration.class
})
@EnableDiscoveryClient
public class GatewayApplication extends SpringBootServletInitializer
{

	private static final Logger _logger = LoggerFactory.getLogger(GatewayApplication.class);

	/**
	 * @param args start parameter
	 */
	public static void main(String[] args) {
		_logger.info("Start GatewayApplication ...");
		ConfigurableApplicationContext applicationContext =
				SpringApplication.run(GatewayApplication.class, args);

	}
}
